Ankündigung: WHMCS SEPA Lastschrift Modul

WHMCS hat vorgestern angekündigt das man mit Version 7.5 den Support von PHP 7.1 und PHP 7.2 einführen wird. Bedingt durch den geplanten PHP 7.2 support wird das SEPA Modul in nächster Zeit ein Update erhalten welches den Support von mcrypt einstellt und openssl zur Verschlüsselung der Bankdaten einführt.
Grund für den Wechsel ist das PHP die mcrypt Erweiterung mit Version 7.2 rausgeworfen hat, diese wäre nur noch über PECL installierbar, was bei manchen WHMCS Umgebungen aber nicht umsetzbar ist.

Mit dem frühzeitigen Wechsel der Verschlüsselung möchten wir später ein reibungsloses und müheloses Update auf WHMCS 7.5 und PHP 7.2 ermöglichen, da zur Konvertierung der Verschlüsselung die alte PHP Erweiterung benötigt wird. Das SEPA Modulupdate sollte also vor einem Wechsel auf PHP 7.2 eingespielt werden.

Sobald das Update veröffentlicht wird gibt es hier nähere Details.